Skip to content
Guides
PromotionsDiscounts
promotion:update

Update discount

PUT/v1/discounts/{discountId}

Update discount. A successful request returns HTTP 204 without a response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

discountId*string

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/discounts/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Example resource",    "description": "Example description.",    "status": "draft",    "type": "percentage",    "target": "order",    "amount": 1,    "allocation": "once",    "maxQuantity": 1  }'
Empty